// 用户地址
import { wxRequest } from './request'

const addAddressURL = '/add/address' // 新增地址
const addressListURL = '/address/list' // 地址列表
const deleteAddressURL = '/delete/address' // 删除地址
const editAddressURL = '/edit/address' // 编辑地址

export const addAddress =  (data) => wxRequest(addAddressURL, data)

export const addressList =  (data) => wxRequest(addressListURL, data)

export const deleteAddress =  (data) => wxRequest(deleteAddressURL, data)

export const editAddress =  (data) => wxRequest(editAddressURL, data)