// pages/reportDetail/reportDetail.js
Page({

  /**
   * 页面的初始数据
   */
  data: {
    reportType: 1, // 0 小结 1 系统
    leftNavActive: 1,
    leftNav: [
      {
        index: 0,
        name: '检测小结'
      },
      {
        index: 1,
        name: '循环系统'
      },
      {
        index: 2,
        name: '呼吸系统'
      },
      {
        index: 3,
        name: '消化系统'
      },
      {
        index: 4,
        name: '泌尿系统'
      },
      {
        index: 5,
        name: '血液系统'
      },
      {
        index: 6,
        name: '内分泌系统'
      },
      {
        index: 7,
        name: '营养代谢'
      },
      {
        index: 8,
        name: '神经系统'
      },
      {
        index: 9,
        name: '免疫系统'
      },
      {
        index: 10,
        name: '运动系统'
      },
      {
        index: 11,
        name: '感官系统'
      }
    ],
    systemList: [1,1,1,1,1,1,1,1,1,1]
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad(options) {

  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady() {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow() {
    wx.showLoading({
      title: '加载中...',
      mask: true
    })
    setTimeout(() => {
      wx.hideLoading({
        success: (res) => {},
      })
    }, 1500);
  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide() {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload() {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh() {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom() {

  },

  /**
   * 用户点击左侧系统分类
   */
  handleSwitchNav(e) {
    var navIndex = e.currentTarget.dataset.index
    var that = this
    wx.showLoading({
      title: '加载中...',
      mask: true
    })
    setTimeout(() => {
      wx.hideLoading({
        success: (res) => {
          that.setData({
            leftNavActive: navIndex,
            reportType: navIndex
          })
        },
      })
    }, 1500);
  }
})